; Calculates a running distance
;  ,       .
(if (= (getvar "SysCodePage") "ANSI_1251")(setq IsRus T)) ;LA   
(defun C:RUNDIST (/ totdis num flag pt1 nextpt newdis)
   ;(graphscr) ;LA
   (initget 1)
   (setq totdis 0
         num 0
         flag 1
         pt1 (getpoint (if IsRus "\n : " "\nStarting point: ")) ;LA
   )
   (while flag
      (setq nextpt (getpoint pt1 (if IsRus "\n : " "\nNext point: "))) ;LA  
      (if (/= (type nextpt) 'LIST)
         (setq flag nil)                ; STOP
         (setq flag 1)                  ;continuation point
      )
      (if flag
         (progn
            (grdraw (list (car pt1) (cadr pt1)) (list (car nextpt)
                                                      (cadr nextpt)
                                                ) -1 1
            )
            (setq newdis (distance pt1 nextpt)
                  totdis (+ newdis totdis)
                  num (1+ num)
                  pt1 nextpt
            )
            (princ (if IsRus "\n  = " "\nCurrent Distance is ")) ;LA
            (princ (rtos totdis))
         )                           ;end progn
      )                              ;end if
   )                                 ; END flag WHILE
   (princ (if IsRus "\n<<<   = " "\n<<< Total Distance is "))  ;LA
   (princ (rtos totdis))
   (princ (if IsRus "  " " along "))  ;LA
   (princ num)
   (princ (if IsRus "  >>>" " segments >>>")) ;LA
   (princ)  
)